package com.njcn.harmonic.mapper;

import com.njcn.harmonic.pojo.vo.IntegrityVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 徐扬
 */
public interface IntegrityMapper {


    /**
     * 获取监测点相关信息
     */
    List<IntegrityVO> getIntegrityData(@Param("list") List<String> lineList);


    /**
     * 获取供电公司、装置、母线相关信息
     */
    List<IntegrityVO> getLineInfoByList(@Param("list") List<String> list);

    /**
     * 获取变电站集合信息
     */
    List<IntegrityVO> getSubstationInfoByList(@Param("list") List<String> list);

    /**
     * 获取省份集合信息
     */
    List<IntegrityVO> getProviceInfoByList(@Param("list") List<String> list);

    /**
     * 获取上报监测点
     */
    List<String> getReportMonitor(@Param("list") List<String> list);

}
